package test;

import javax.ws.rs.GET;
import javax.ws.rs.PUT;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;

@Path("/test")
public class ContainerService {

    @PUT
    @Path(value = "/container/{containerId}")
    @Produces({ "application/xml", "application/json" })
    public Container updateContainer(@PathParam("containerId") String containerId, Container container) {
        return container;
    }

    @GET
    @Path(value = "/container/{containerId}")
    @Produces({ "application/xml", "application/json" })
    public Container getContainer(@PathParam("containerId") String containerId) {
        Container container = new Container();

        ItemA itemA = new ItemA();
        itemA.setName("itemA");
        itemA.setValue(Integer.valueOf(10));
        container.getItems().add(itemA);

        ItemB itemB = new ItemB();
        itemB.setName("itemB");
        itemB.setFoo("bar");
        container.getItems().add(itemB);

        return container;
    }

}
